Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class PreferenceKey

    java.lang.Object
      portlets.compoze.groupware.pref.PreferenceKey

All Implemented Interfaces:
  java.io.Serializable

public class PreferenceKey
extends java.lang.Object
implements java.io.Serializable

This class represents the preference keys for storing information in the user profile.

See Also:
  Serialized Form

Field Summary
`static PreferenceKey` | `PREFERENCE_CALENDAR_HOME_VIEW`
`static PreferenceKey` | `PREFERENCE_CALENDAR_SUMMARY_VIEW_TYPE`
`static PreferenceKey` | `PREFERENCE_CALENDAR_VIEW`
`static PreferenceKey` | `PREFERENCE_CONTACTS_PER_PAGE`
`static PreferenceKey` | `PREFERENCE_EMAIL_COMMA_SEPARATOR`
`static PreferenceKey` | `PREFERENCE_HOME_INCLUDE_HOME`
`static PreferenceKey` | `PREFERENCE_HOME_INCLUDE_SUMMARY`
`static PreferenceKey` | `PREFERENCE_HOME_MESSAGES_PER_PAGE`
`static PreferenceKey` | `PREFERENCE_HOME_NUMBER_OF_DAYS_IN_CALENDAR`
`static PreferenceKey` | `PREFERENCE_HOME_TASK_FILTERING`
`static PreferenceKey` | `PREFERENCE_HOME_TASK_ORDERING_COLUMN`
`static PreferenceKey` | `PREFERENCE_HOME_TASK_ORDERING_ORDER`
`static PreferenceKey` | `PREFERENCE_HOME_TASKS_PER_PAGE`
`static PreferenceKey` | `PREFERENCE_LOCALE_COUNTRY`
`static PreferenceKey` | `PREFERENCE_LOCALE_LANGUAGE`
`static PreferenceKey` | `PREFERENCE_LOCALE_VARIANT`
`static PreferenceKey` | `PREFERENCE_MESSAGE_ORDERING`
`static PreferenceKey` | `PREFERENCE_MESSAGES_PER_PAGE`
`static PreferenceKey` | `PREFERENCE_OVERDUE_STYLE`
`static PreferenceKey` | `PREFERENCE_REPLYING`
`static PreferenceKey` | `PREFERENCE_SAVE_IN_SENT`
`static PreferenceKey` | `PREFERENCE_SHOW_FOLDER_NAVIGATION_TREE`
`static PreferenceKey` | `PREFERENCE_SIGNATURE_ADD`
`static PreferenceKey` | `PREFERENCE_SIGNATURE_TEXT`
`static PreferenceKey` | `PREFERENCE_TASK_FILTERING`
`static PreferenceKey` | `PREFERENCE_TASK_ORDERING_COLUMN`
`static PreferenceKey` | `PREFERENCE_TASK_ORDERING_ORDER`
`static PreferenceKey` | `PREFERENCE_TASKS_PER_PAGE`
`static PreferenceKey` | `PREFERENCE_TIME_INTERVAL`
`static PreferenceKey` | `PREFERENCE_TIME_ZONE`
`static PreferenceKey` | `PREFERENCE_UNREAD_STYLE`
`static PreferenceKey` | `PREFERENCE_WARNINGS_EMPTY_BODY`
`static PreferenceKey` | `PREFERENCE_WARNINGS_EMPTY_SUBJECT`
`static PreferenceKey` | `PREFERENCE_WEEK_STARTING_DAY`
`static PreferenceKey` | `PREFERENCE_WORKING_HOURS_END_DAY_HOUR`
`static PreferenceKey` | `PREFERENCE_WORKING_HOURS_START_DAY_HOUR`

Method Summary
`java.lang.String` | `getKey()` Gets the preference key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFERENCE_LOCALE_COUNTRY

    public static final PreferenceKey PREFERENCE_LOCALE_COUNTRY

### PREFERENCE_LOCALE_LANGUAGE

    public static final PreferenceKey PREFERENCE_LOCALE_LANGUAGE

### PREFERENCE_LOCALE_VARIANT

    public static final PreferenceKey PREFERENCE_LOCALE_VARIANT

### PREFERENCE_TIME_ZONE

    public static final PreferenceKey PREFERENCE_TIME_ZONE

### PREFERENCE_HOME_INCLUDE_HOME

    public static final PreferenceKey PREFERENCE_HOME_INCLUDE_HOME

### PREFERENCE_HOME_INCLUDE_SUMMARY

    public static final PreferenceKey PREFERENCE_HOME_INCLUDE_SUMMARY

### PREFERENCE_HOME_NUMBER_OF_DAYS_IN_CALENDAR

    public static final PreferenceKey PREFERENCE_HOME_NUMBER_OF_DAYS_IN_CALENDAR

### PREFERENCE_HOME_TASK_ORDERING_ORDER

    public static final PreferenceKey PREFERENCE_HOME_TASK_ORDERING_ORDER

### PREFERENCE_HOME_TASK_ORDERING_COLUMN

    public static final PreferenceKey PREFERENCE_HOME_TASK_ORDERING_COLUMN

### PREFERENCE_HOME_TASK_FILTERING

    public static final PreferenceKey PREFERENCE_HOME_TASK_FILTERING

### PREFERENCE_HOME_TASKS_PER_PAGE

    public static final PreferenceKey PREFERENCE_HOME_TASKS_PER_PAGE

### PREFERENCE_HOME_MESSAGES_PER_PAGE

    public static final PreferenceKey PREFERENCE_HOME_MESSAGES_PER_PAGE

### PREFERENCE_CALENDAR_HOME_VIEW

    public static final PreferenceKey PREFERENCE_CALENDAR_HOME_VIEW

### PREFERENCE_CALENDAR_SUMMARY_VIEW_TYPE

    public static final PreferenceKey PREFERENCE_CALENDAR_SUMMARY_VIEW_TYPE

### PREFERENCE_MESSAGE_ORDERING

    public static final PreferenceKey PREFERENCE_MESSAGE_ORDERING

### PREFERENCE_MESSAGES_PER_PAGE

    public static final PreferenceKey PREFERENCE_MESSAGES_PER_PAGE

### PREFERENCE_REPLYING

    public static final PreferenceKey PREFERENCE_REPLYING

### PREFERENCE_SAVE_IN_SENT

    public static final PreferenceKey PREFERENCE_SAVE_IN_SENT

### PREFERENCE_SIGNATURE_TEXT

    public static final PreferenceKey PREFERENCE_SIGNATURE_TEXT

### PREFERENCE_SIGNATURE_ADD

    public static final PreferenceKey PREFERENCE_SIGNATURE_ADD

### PREFERENCE_SHOW_FOLDER_NAVIGATION_TREE

    public static final PreferenceKey PREFERENCE_SHOW_FOLDER_NAVIGATION_TREE

### PREFERENCE_UNREAD_STYLE

    public static final PreferenceKey PREFERENCE_UNREAD_STYLE

### PREFERENCE_WARNINGS_EMPTY_BODY

    public static final PreferenceKey PREFERENCE_WARNINGS_EMPTY_BODY

### PREFERENCE_WARNINGS_EMPTY_SUBJECT

    public static final PreferenceKey PREFERENCE_WARNINGS_EMPTY_SUBJECT

### PREFERENCE_EMAIL_COMMA_SEPARATOR

    public static final PreferenceKey PREFERENCE_EMAIL_COMMA_SEPARATOR

### PREFERENCE_WORKING_HOURS_START_DAY_HOUR

    public static final PreferenceKey PREFERENCE_WORKING_HOURS_START_DAY_HOUR

### PREFERENCE_WORKING_HOURS_END_DAY_HOUR

    public static final PreferenceKey PREFERENCE_WORKING_HOURS_END_DAY_HOUR

### PREFERENCE_CALENDAR_VIEW

    public static final PreferenceKey PREFERENCE_CALENDAR_VIEW

### PREFERENCE_WEEK_STARTING_DAY

    public static final PreferenceKey PREFERENCE_WEEK_STARTING_DAY

### PREFERENCE_TIME_INTERVAL

    public static final PreferenceKey PREFERENCE_TIME_INTERVAL

### PREFERENCE_CONTACTS_PER_PAGE

    public static final PreferenceKey PREFERENCE_CONTACTS_PER_PAGE

### PREFERENCE_TASKS_PER_PAGE

    public static final PreferenceKey PREFERENCE_TASKS_PER_PAGE

### PREFERENCE_TASK_ORDERING_ORDER

    public static final PreferenceKey PREFERENCE_TASK_ORDERING_ORDER

### PREFERENCE_TASK_ORDERING_COLUMN

    public static final PreferenceKey PREFERENCE_TASK_ORDERING_COLUMN

### PREFERENCE_OVERDUE_STYLE

    public static final PreferenceKey PREFERENCE_OVERDUE_STYLE

### PREFERENCE_TASK_FILTERING

    public static final PreferenceKey PREFERENCE_TASK_FILTERING

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the preference key.

  Returns:
    the preference key

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.